%define upstream_name	 Proc-ProcessTable
%define upstream_version 0.48

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1
Summary:	Interface to process table information
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Proc-ProcessTable-0.48-fix-format-errors.diff
BuildRequires:	perl-devel


%description
This module is a first crack at providing a consistent interface to
Unix (and maybe other multitasking OS's) process table information.
The impetus for this came about with my frustration at having to parse
the output of various systems' ps commands to check whether specific
processes were running on different boxes at a larged mixed Unix site.
The output format of ps was different on each OS, and sometimes
changed with each new release of an OS. Also, running a ps subprocess
from within a perl or shell script and parsing the output was not a
very efficient or aesthetic way to do things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.linux Changes TODO contrib example.pl
%{perl_vendorarch}/Proc
%{perl_vendorarch}/auto/Proc
%{_mandir}/*/*


%changelog
* Thu Aug 15 2013 oden <oden> 0.480.0-1.mga2
+ Revision: 466688
- fix release (1)
- 0.48 (fixes CVE-2011-4363)
- P0: rediff

  + sander85 <sander85>
    - Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.450.0-3.mga1
+ Revision: 31061
- mageia rebuild
- imported package perl-Proc-ProcessTable

